gr::radar::print_results Class Reference

This block prints data of messages filled with data of the structure [ [[symbol_0],[data_0]], [[symbol_1],[data_1]], ...] on the command line. Only data of the datatypes f32vector and long, and rx_time tuples are displayed. The output can also be stored in a text file. More...

`#include <print_results.h>`

Inheritance diagram for gr::radar::print_results:

## Public Types

typedef std::shared_ptr< print_results > | sptr

## Static Public Member Functions

static sptr | make (bool store_msg=false, const std::string filename="")
| Return a shared_ptr to a new instance of radar::print_results.

## Detailed Description

This block prints data of messages filled with data of the structure [ [[symbol_0],[data_0]], [[symbol_1],[data_1]], ...] on the command line. Only data of the datatypes f32vector and long, and rx_time tuples are displayed. The output can also be stored in a text file.

Parameters

  store_msg | Toggle save output to file
  filename | Filename of the output file

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<print_results> gr::radar::print_results::sptr

## Member Function Documentation

## make()

sptr gr::radar::print_results::make | ( | bool | store_msg = false,
|  | const std::string | filename = "" )

static

Return a shared_ptr to a new instance of radar::print_results.

To avoid accidental use of raw pointers, radar::print_results's constructor is in a private implementation class. radar::print_results::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- print_results.h